Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# wkgl::Icon Class Reference

A class that represents an icon. More...

`#include <Icon.h>`

List of all members.

## Public Methods
| Icon (HICON hicon, SFLAG size)
| Creates an icon from a resource.
| Icon (String *fname, SFLAG size)
| Creates an icon form a file.
virtual | ~Icon ()
virtual HICON | getHandle ()
| Returns the windows handle to the icon.
virtual String * | getFileName ()
| Returns the file name of the icon.
## Protected Attributes
HICON | hicon
| The windows handle to the icon.
String * | fname
| The file name of the icon.
SFLAG | size
| The size of the icon.

## Detailed Description

A class that represents an icon.

Author:
  Micheal Nooner

This class represents an icon. Icons are loaded from "ico" files or are resources in memory. It is important to note that this class is immutable, that is every Icon object represents one icon and cannot be changed.

## Constructor & Destructor Documentation

Icon::Icon | ( | HICON | hicon,
|  | SFLAG | size
| ) |

  | Creates an icon from a resource. Parameters:
  hicon | The handle to the icon resource.
  size | Either SMALL_ICON, MED_ICON, or LARGE_ICON.

Icon::Icon | ( | String * | fname,
|  | SFLAG | size
| ) |

  | Creates an icon form a file. Parameters:
  fname | The file name of the icon to load.
  size | Either SMALL_ICON, MED_ICON, or LARGE_ICON.

Icon::~Icon | ( |  | ) | `[virtual]`

## Member Function Documentation

String * Icon::getFileName | ( |  | ) | `[virtual]`

| Returns the file name of the icon. Returns: The file name of the icon.

HICON Icon::getHandle | ( |  | ) | `[virtual]`

| Returns the windows handle to the icon. Returns: The windows handle to the icon.

## Member Data Documentation

String* wkgl::Icon::fname`[protected]`

| The file name of the icon.

HICON wkgl::Icon::hicon`[protected]`

| The windows handle to the icon.

SFLAG wkgl::Icon::size`[protected]`

| The size of the icon.

The documentation for this class was generated from the following files:

- Icon.h
- Icon.cpp